var assert = require('chai').assert;
var first = require('../first.js');

describe('first.js', function () {
    it('Adding 2 numbers works', function () {
        assert.equal(first.addNumbers(3, 4), 7);
    });
    it('Adding 2 numbers results in number', function () {
        assert.typeOf(first.addNumbers(3, 4), 'number');
    });
    it('Subtract 2 numbers works', function () {
        assert.equal(first.subtractNumbers(4, 3), 1);
    });
    it('should return hello world ', function () {
        assert.equal(first.message(), 'hello world');
    });
});

